Bug 988859 - Data modeler doesn't see packages created by "New item" menu
Data modeler doesn't see packages created by "New item" menu
Status: VERIFIED
Product: JBoss BPMS Platform 6
Classification: JBoss
Component: Data Modeler (Show other bugs)
6.0.0
Unspecified Unspecified
unspecified Severity high
: ER4
: 6.0.0
Assigned To: Walter Medvedeo
Jiri Locker
:
: 1005238 (view as bug list)
Depends On: 990037
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-26 11:06 EDT by Jiri Locker
Modified: 2013-10-18 09:33 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jiri Locker 2013-07-26 11:06:36 EDT
Description of problem:
First I create a new package by navigating to my project, the clicking New item > Package and entering my/cool/stuff. The I would like to define new objects using Data modeler. When I issue Data modeler > New Data Object the form that appears doesn't list my.cool.stuff among existing packages.

Version-Release number of selected component (if applicable):
DR6

How reproducible:
always

Steps to Reproduce:
1. go to uf-playground / mortgages, create new package my.cool.stuff (you have to type "my/cool/stuff" as the File Name)
2. open Data modeler and bring up the "Create new data object" dialog

Actual results:
The Existing package select box doesn't contain my.cool.stuff package.

Expected results:
It should be possible to select my.cool.stuff from Existing package select box

Additional info:
Comment 2 Jan 2013-08-23 09:45:25 EDT
This is not a bug, it is due to the implementation of the data modeller. As for now, it will only take into account those packages that are non-empty, i.e. that contain valid java objects.
Possible candidate for improvement in a future release.
Comment 3 Pedro Zapata 2013-08-26 10:34:09 EDT
There are several platform and module improvements that need to be implemented to fix this issue and other related that are planned for 6.1. Since this issue is not something blocker, it's more an usability issue postpone this to 6.1 is proposed.
Comment 4 Jiri Locker 2013-09-10 12:28:30 EDT
*** Bug 1005238 has been marked as a duplicate of this bug. ***
Comment 5 Walter Medvedeo 2013-09-12 12:05:04 EDT
With reference to this bug, and bug 1005238 the following the following improvements has been done:

When the "Data modeler is opened" available packages will be read from current project. In this way when you create a new data object the list of packages to select has all the packages form project.
If you create some packages from the project explorer and then open the datamodler it works as espected.

The following use case is not yet implemented:
1) open the data modeler
2) without closing the datamodeler, go to the project explorer and create a new package "xxx".
3) go back to the data modeler and create a new data object, the package "xxx" is not available for selection.

The improvement was programmed in the following commits.

Code Refactoring in guvnor project:

push master URL: http://github.com/droolsjbpm/guvnor/commit/ad4c7dd3a

push 6.0.x URL: http://github.com/droolsjbpm/guvnor/commit/4386d5505



Commits for the improvement:

push master URL: http://github.com/droolsjbpm/kie-wb-common/commit/7d58d957a

push 6.0.x URL: http://github.com/droolsjbpm/kie-wb-common/commit/1812f0447
Comment 6 Walter Medvedeo 2013-09-13 12:11:20 EDT
Taking into account that the provided fix covers the most widely used scenarios: now the user can create packages, open the modeler and select them.  And also when the user is modeling he can create new packages during modeling time, it's as easy as create new data object and provide the desired package name. 
I think we can close this report with the work done.
Comment 7 Jiri Locker 2013-10-18 09:33:34 EDT
Fixed in ER4.

Note You need to log in before you can comment on or make changes to this bug.